#START CHECK
tag @a[team=] add spectate
scoreboard players set check lobby 1
scoreboard players reset hiderC lobby
scoreboard players reset seekerC lobby
scoreboard players reset playersC lobby
scoreboard players reset spectateC lobby
execute store result score hiderC lobby if entity @a[tag=hider]
execute store result score seekerC lobby if entity @a[tag=seeker]
execute store result score playersC lobby if entity @a[tag=!spectate]
execute store result score spectateC lobby if entity @a[tag=spectate]

execute unless score cancel lobby matches 0.. run scoreboard players set cancel lobby 0
execute if score hiderC lobby matches 0 run tellraw @a ["",{"text":"START CANCELLED","color":"dark_red"},{"text":" You need at least 1 hider to start.","color":"yellow"}]
execute if score hiderC lobby matches 0 run scoreboard players set cancel lobby 1
#execute if score hiderC lobby matches 1 if score hiderC lobby >= seekerC lobby run tellraw @a ["",{"text":"START","color":"red"},{"text":" You need and have at least 1 hider to start.","color":"yellow"}]
#execute if score hiderC lobby matches 1 if score hiderC lobby = seekerC lobby run tellraw @a ["",{"text":"START","color":"red"},{"text":" You need at least 1 hider to start.","color":"yellow"}]
execute if score seekerC lobby matches 0 if score random_seeker settings matches 0 run tellraw @a ["",{"text":"START CANCELLED","color":"dark_red"},{"text":" No willing seekers. - Enabled Random Seekers","color":"yellow"}]
execute if score seekerC lobby matches 0 if score random_seeker settings matches 0 run scoreboard players set cancel lobby 1
#execute if score seekerC lobby matches 0 if score random_seeker settings matches 1 run tellraw @a ["",{"text":"START","color":"red"},{"text":" No willing seekers. - Randomizing Seekers","color":"yellow"}]
execute if score playersC lobby matches ..1 run tellraw @a ["",{"text":"START CANCELLED","color":"dark_red"},{"text":" Not enough non-spectating players!\n- Requires 2 players to start.","color":"yellow"}]
execute if score playersC lobby matches ..1 run scoreboard players set cancel lobby 1
execute if score playersC lobby matches ..1 if score spectateC lobby matches 1.. run tag @a[team=,tag=spectate,limit=2] add hider
execute if score playersC lobby matches ..1 if score spectateC lobby matches 1.. run tag @a[team=,tag=spectate,tag=hider,limit=2] remove spectate
execute if score playersC lobby matches ..1 if score spectateC lobby matches 1.. run team join hider @a[team=,tag=hider]
#execute if score playersC lobby matches 2.. run tellraw @a ["",{"text":"START","color":"red"},{"text":" Enough players online! At least 2 players are present.","color":"yellow"}]

execute if score random_seeker settings matches 1 if score hiderC lobby <= seeker_count settings run tellraw @a ["",{"text":"START CANCELLED","color":"dark_red"},{"text":" Randomized Seeker count will result in 0 hiders.","color":"yellow"}]
execute if score random_seeker settings matches 1 if score hiderC lobby <= seeker_count settings run scoreboard players set cancel lobby 1

execute if score cancel lobby matches 1.. run scoreboard players reset cancel lobby
execute if score cancel lobby matches 0 run function game:start